Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.assertions
Class BeanShellAssertion

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.BeanShellTestElement
              org.apache.jmeter.assertions.BeanShellAssertion

All Implemented Interfaces:
  Assertion, Cloneable, Serializable, TestElement, TestListener, ThreadListener

public class BeanShellAssertion
extends BeanShellTestElement
implements Assertion

A sampler which understands BeanShell

See Also:
  Serialized Form

Field Summary
`static String` | `FILENAME`
`static String` | `INIT_FILE`
`static String` | `PARAMETERS`
`static String` | `RESET_INTERPRETER`
`static String` | `SCRIPT`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`BeanShellAssertion()`

Method Summary
`String` | `getFilename()`
`protected String` | `getInitFileProperty()`
`String` | `getParameters()`
`AssertionResult` | `getResult(SampleResult response)` Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
`String` | `getScript()` Return the script (TestBean version).
`boolean` | `isResetInterpreter()`

Methods inherited from class org.apache.jmeter.util.BeanShellTestElement
`clone, getBeanShellInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testIterationStart, testStarted, testStarted, threadFinished, threadStarted`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILENAME

    public static final String FILENAME

See Also:
  Constant Field Values

### SCRIPT

    public static final String SCRIPT

See Also:
  Constant Field Values

### PARAMETERS

    public static final String PARAMETERS

See Also:
  Constant Field Values

### RESET_INTERPRETER

    public static final String RESET_INTERPRETER

See Also:
  Constant Field Values

### INIT_FILE

    public static final String INIT_FILE

See Also:
  Constant Field Values

Constructor Detail

### BeanShellAssertion

    public BeanShellAssertion()

Method Detail

### getInitFileProperty

    protected String getInitFileProperty()

  Specified by:
    `getInitFileProperty` in class `BeanShellTestElement`

### getScript

    public String getScript()

  Description copied from class: `BeanShellTestElement`
  Return the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

  Overrides:
    `getScript` in class `BeanShellTestElement`
  Returns:
    the script to execute

### getFilename

    public String getFilename()

  Overrides:
    `getFilename` in class `BeanShellTestElement`

### getParameters

    public String getParameters()

  Overrides:
    `getParameters` in class `BeanShellTestElement`

### isResetInterpreter

    public boolean isResetInterpreter()

  Overrides:
    `isResetInterpreter` in class `BeanShellTestElement`

### getResult

    public AssertionResult getResult(SampleResult response)

  Description copied from interface: `Assertion`
  Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

  Specified by:
    `getResult` in interface `Assertion`
  Parameters:
    `response` - the SampleResult containing information about the Sample (duration, success, etc)
  Returns:
    the AssertionResult containing the information about whether the assertion passed or failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.